Bug Hunting Session
Bug 85592 - Font and highlight colour toolbar buttons dont work in comments
Summary: Font and highlight colour toolbar buttons dont work in comments
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.6.3 release
Hardware: Other Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Comments Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2014-10-29 10:50 UTC by peter josvai
Modified: 2019-06-01 02:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
a simple illustration (screenshot) (195.85 KB, image/png)
2014-10-29 10:50 UTC, peter josvai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peter josvai 2014-10-29 10:50:03 UTC
Created attachment 108617 [details]
a simple illustration (screenshot)

if you have a comment inserted in the document, and if you want to change the font color, the button from the toolbar does NOT work ... 
so, you have to go: menu/format/character ... 
and then you can change the color ...


NOTE #1: it's of minor annoyance, I didn't even realize so far that you can actually change the font color in the notes ... but now that I know, I'd be happy to use this and I guess other people might think like that too .)
cause it's a nice way to emphasize some part of the note...

NOTE #2:
highlighting could be considered to made active too :)
Comment 1 Buovjaga 2014-11-15 12:32:44 UTC
Repro -> NEW enhancement.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08

Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 5bff4b016c4b44f4123e0e6a4fd4c0c4dc0cfa2d
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-13_00:14:29
Comment 2 Dieter Praas 2017-04-26 08:19:46 UTC
I confirm it with LO 5.3.2. Personally I think it's a bug and not an enhancement, because if you use the sitebar, you can customise "Font Colour" as well as "Highlight Colour".

=> changed description of th bug to be more precise
=> changed to minor bug, because a workaround exists
Comment 3 Yousuf Philips (jay) (retired) 2017-10-30 10:44:08 UTC
Tested 6.0 and font color in the toolbar does work. Highlight color is disabled in toolbar and enabled in sidebar, so its likely using a different uno command. Maxim: thoughts?

Version: 6.0.0.0.alpha1+
Build ID: 43d6b11a5c1dda0cc2c1e06c768eece25051a56c
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 4 Heiko Tietze 2018-02-21 09:29:02 UTC
I wonder if font attributes are allowed in comments. Regina?
Comment 5 Regina Henschel 2018-02-21 11:36:45 UTC
Comments are <office:annotation> elements. Allowed content is <text:list> and <text:p> and the meta data <dc:creator>, <dc:date> and <meta:date-string>. So from file format there would be no problem to use all styling that are possible for lists and paragraphs.
Comments are handled as callout shapes internally (AFAIK), so all restrictions known for them (e.g. bug 96706) hold here too.
Comment 6 QA Administrators 2019-06-01 02:49:39 UTC
Dear peter josvai,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug